Bug 250562 - c++ documentation picks source inconsistently
c++ documentation picks source inconsistently
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
8.0.2
PC Linux
: P3 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-20 07:44 UTC by jaysig
Modified: 2016-12-08 09:34 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jaysig 2015-02-20 07:44:00 UTC
Have installed the wonderful cppreference.com in the form of auto-generated manual pages (see github.com/jeaye/stdman for more).

Netbeans seems to pick documentation inconsistently.

[code]#include <memory>
struct Node {};
int main() {
    std::unique_ptr<Node> u(new Node);
    std::shared_ptr<Node> s(new Node);
    s.get();
    u.get();
}[/code]

For example, it insists on  showing the Javadoc for std::shared_ptr but is quite happy to display the manpage for std::unique_ptr.

Similarly, it will display the manpage for unique_ptr::get but displays no documentation at all for shared_ptr::get. Calling man std::shared_ptr::get works fine.

Removing the Javadoc from the shared_ptr include file helps bring up the correct manpage but is not a nice solution and also doesn't resolve the issue with shared_ptr::get
Comment 1 Alexander Simon 2015-09-04 09:05:24 UTC
The documentation priority is:
1. doxygen or javadoc comment in code
2. man pages
3. block comment
According this rule the IDE works right.
Comment 2 Vladimir Kvashin 2015-09-25 23:20:05 UTC
I would propose to add a command-line (-J-D...) option that regulates this.
Comment 3 Alexander Simon 2016-11-07 15:39:21 UTC
fixed in enum, branch release82, change set db1a01018d99
- added ordered list of documentation providers (Tools->Options->Editor->Code Completion->C/C++->Documentation Settings)
Comment 4 Quality Engineering 2016-11-11 02:50:18 UTC
Integrated into 'main-silver', will be available in build *201611110001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/326a7713d538
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #250562 c++ documentation picks source inconsistently
(transplanted from db1a01018d995cda55951b7434d486eeec9008a3)
Comment 5 Quality Engineering 2016-12-03 03:03:49 UTC
Integrated into 'main-silver', will be available in build *201612030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/b5144ff20d0b
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #250562 c++ documentation picks source inconsistently
- additional fix to support man format from http://cppreference.com
(transplanted from 2f2ce341ea698d6a4f8c193ee269b46d1bc0429f)
Comment 6 soldatov 2016-12-08 09:34:24 UTC
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo